#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quic
version:              0.1.5
visibility:           public
id:                   quic-0.1.5-9iAotEL6Env14eTwMfCD0H
key:                  quic-0.1.5-9iAotEL6Env14eTwMfCD0H
license:              BSD-3-Clause
maintainer:           kazu@iij.ad.jp
author:               Kazu Yamamoto
synopsis:             QUIC
description:
    Library for QUIC: A UDP-Based Multiplexed and Secure Transport

category:             Web
abi:                  ff41975cfce678486e3e02db4063d456
exposed:              True
exposed-modules:
    Network.QUIC Network.QUIC.Client Network.QUIC.Internal
    Network.QUIC.Server

hidden-modules:
    Network.QUIC.Client.Reader Network.QUIC.Client.Run
    Network.QUIC.Closer Network.QUIC.Common Network.QUIC.Config
    Network.QUIC.Connection Network.QUIC.Connection.Crypto
    Network.QUIC.Connection.Migration Network.QUIC.Connection.Misc
    Network.QUIC.Connection.PacketNumber Network.QUIC.Connection.Queue
    Network.QUIC.Connection.Role Network.QUIC.Connection.State
    Network.QUIC.Connection.Stream Network.QUIC.Connection.StreamTable
    Network.QUIC.Connection.Timeout Network.QUIC.Connection.Types
    Network.QUIC.Connector Network.QUIC.Crypto
    Network.QUIC.Crypto.Fusion Network.QUIC.Crypto.Keys
    Network.QUIC.Crypto.Nite Network.QUIC.Crypto.Types
    Network.QUIC.Crypto.Utils Network.QUIC.Event Network.QUIC.Exception
    Network.QUIC.Handshake Network.QUIC.IO Network.QUIC.Imports
    Network.QUIC.Info Network.QUIC.Logger Network.QUIC.Packet
    Network.QUIC.Packet.Decode Network.QUIC.Packet.Decrypt
    Network.QUIC.Packet.Encode Network.QUIC.Packet.Frame
    Network.QUIC.Packet.Header Network.QUIC.Packet.Number
    Network.QUIC.Packet.Token Network.QUIC.Parameters
    Network.QUIC.QLogger Network.QUIC.Qlog Network.QUIC.Receiver
    Network.QUIC.Recovery Network.QUIC.Recovery.Constants
    Network.QUIC.Recovery.Detect Network.QUIC.Recovery.Interface
    Network.QUIC.Recovery.LossRecovery Network.QUIC.Recovery.Metrics
    Network.QUIC.Recovery.Misc Network.QUIC.Recovery.PeerPacketNumbers
    Network.QUIC.Recovery.Persistent Network.QUIC.Recovery.Release
    Network.QUIC.Recovery.Timer Network.QUIC.Recovery.Types
    Network.QUIC.Recovery.Utils Network.QUIC.Sender
    Network.QUIC.Server.Reader Network.QUIC.Server.Run
    Network.QUIC.Stream Network.QUIC.Stream.Frag
    Network.QUIC.Stream.Misc Network.QUIC.Stream.Queue
    Network.QUIC.Stream.Reass Network.QUIC.Stream.Skew
    Network.QUIC.Stream.Table Network.QUIC.Stream.Types
    Network.QUIC.TLS Network.QUIC.Types Network.QUIC.Types.Ack
    Network.QUIC.Types.CID Network.QUIC.Types.Constants
    Network.QUIC.Types.Error Network.QUIC.Types.Exception
    Network.QUIC.Types.Frame Network.QUIC.Types.Integer
    Network.QUIC.Types.Packet Network.QUIC.Types.Queue
    Network.QUIC.Types.Resumption Network.QUIC.Types.Time
    Network.QUIC.Utils Network.QUIC.Windows

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quic
hs-libraries:         HSquic-0.1.5-9iAotEL6Env14eTwMfCD0H
depends:
    array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-K2iBTo1iZcTF38UF7fHiGD
    bytestring-0.10.12.1 containers-0.6.4.1
    crypto-token-0.0.2-5cpDgYxLVGVKKUkIar4WfH
    crypton-0.34-16RHNZMTM1O9l9vdojYYx
    crypton-x509-1.7.6-3roy8TkgwgT5tTsesrSUgz
    crypton-x509-system-1.6.7-7nOcV2h6cA967RDf5mTgv3
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    fast-logger-3.1.2-GOallcS4xjjF3nzUVWr8dz filepath-1.4.2.1
    iproute-1.7.12-7vk88kViQRXKjbjKVxOSZx
    memory-0.18.0-KC0M2DcF55TEVHxP6av2cL
    network-3.1.4.0-FljXj1pKqIFKzoXPMjtmvn
    network-byte-order-0.1.7-aizR4J4tPIDAy5AbcEEVa
    network-udp-0.0.0-23yhkBN9tUz1YmOIdmj4RY
    psqueues-0.2.8.0-Kzp1DCUQBDHeAnK1SROhg
    random-1.2.1.1-IvJyCZOiT9MCISTYBmDLQY stm-2.5.0.0
    tls-1.8.0-7UILOWvGHHzC7HZ7n1qTVa
    unix-time-0.4.12-E85f7upRjpHEF1ShyZvu2x
    unliftio-0.2.25.0-hbDzkDhXgs3ijxQg1J2HF
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj

haddock-interfaces:   /usr/share/doc/haskell-quic/html/quic.haddock
haddock-html:         /usr/share/doc/haskell-quic/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

